# coding: utf-8
# と言いつつ、実際は Ruby 1.8.7 で動くので日本語コメントを気にしなくていいのです...
class people::udzura {
  include virtualbox
  include vagrant
  $home = "/Users/${::boxen_user}"

  # Rubyの設定サンプル
  ruby::version { '1.9.3-p448': }
  # もしくは
  # include ruby::1_9_3_p448
  ruby::version { 'jruby-1.7.4': }

  class { 'ruby::global':
    version => '2.0.0-p247'
  }

  # Defined Types のサンプル
  define udzura::gems_setup() {
   $version = $name
    ruby::gem { "pry for ${version}":
      gem     => 'pry',
      ruby    => $version,
      version => '>= 0.9'
    }
  }
  # 次のようにすると、上の$nameに
  # '1.9.3-p448'、'2.0.0-p247'がそれぞれわたって実行される
  udzura::gems_setup { ['1.9.3-p448', '2.0.0-p247']: }

  ruby::plugin { 'rbenv-vars':
    ensure => 'v1.2.0',
    source => 'sstephenson/rbenv-vars'
  }

  # Packages
  package { ['tig', 'tmux']: }

  package {
    'Mou':
      source   => "http://mouapp.com/download/Mou.zip",
      provider => compressed_app;
    'GoogleJapaneseInput':
      source => 
        "http://dl.google.com/japanese-ime/latest/GoogleJapaneseInput.dmg",
      provider => pkgdmg;
  }

  # 実際は自分のリポジトリに変えてみてください
  repository { "${home}/dotfiles-sample":
    source => 'https://github.com/udzura/dotfiles-sample.git',
    provider => 'git'
  }

  exec { "echo Hello World > ${home}/.sample":
    cwd => $home,
    creates => "${home}/.sample"
  }

  # Mac settingz
  include osx::dock::2d
  # include osx::global::disable_autocorrect
  # include osx::software_update
  # more...

  # tapping
  homebrew::tap { 'homebrew/binary': }
  package { 'packer': }

  # Git
  git::config::global { 
    'user.name':
      value => 'Uchio, KONDO' ;
    'user.email':
      value => 'udzura@udzura.jp'
  }
}
